--- old/usr/src/lib/libbrand/common/libbrand.c	2013-09-14 03:53:20.111490273 +0100
+++ new/usr/src/lib/libbrand/common/libbrand.c	2013-09-14 03:53:20.120283939 +0100
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2012 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <assert.h>
@@ -102,13 +103,24 @@
 
 /*ARGSUSED*/
 static void
-brand_error_func(void *ctx, const char *msg, ...)
+brand_warning_func(void *ctx, const char *msg, ...)
 {
 	/*
-	 * Ignore error messages from libxml
+	 * Ignore warning messages from libxml
 	 */
 }
 
+/*ARGSUSED*/
+static void
+brand_error_func(void *ctx, const char *msg, ...)
+{
+	va_list args;
+
+	va_start(args, msg);
+	(void) vfprintf(stderr, msg, args);
+	va_end(args);
+}
+
 static boolean_t
 libbrand_initialize()
 {
@@ -202,7 +214,7 @@
 		return (NULL);
 	}
 	cvp->error = brand_error_func;
-	cvp->warning = brand_error_func;
+	cvp->warning = brand_warning_func;
 	valid = xmlValidateDocument(cvp, doc);
 	xmlFreeValidCtxt(cvp);
 	if (valid == 0) {
